Subject: bug#22587: ‘guix edit’ & ‘M-x guix-edit' typo, rename, & mode change

From: [email-masked] (Ludovic Courtès)
Date: Tue, 19 Apr 2016 12:50:15 +0200

Alex Kost <[email-masked]> skribis:

> Ludovic Courtès (2016-04-18 20:41 +0300) wrote:
>
>> It seems to me that this bug has no clear purpose, or too broad a
>> purpose, or something.
>>
>> Could you retitle it, or close it, or fix it, whichever is appropriate?
>> :-)
>
> Was it for me?

‘To whom it may concern’.  :-)

> I think the main purpose of this report was to tell us that "edit"
> name is confusing.  So I would retitle it to "Rename 'guix edit' as it
> is confusing".  But I don't know how; can it be done by sending some
> control message?

Yes, using the ‘retitle’ command, described somewhere at
<http://debbugs.gnu.org/Developer.html>.

However, I think (1) the title should describe the bug, not the
solution, and (2) ‘guix edit’ does what it says IMO, even if it can
occasionally stumble upon read-only files.

Ludo’.